Add nested tabs in EJ2 JavaScript Tab control

4 Jan 202512 minutes to read

The Tab control supports rendering nested levels of tabs using the content property. You can add nested Tab elements inside the parent Tab’s content property. To render the nested Tab, initialize the component using the id of the Tab from a selected event handler.

Here’s an example of how to create nested tabs:

ej.base.enableRipple(true);

//Initialize parent Tab component
var tabObj = new ej.navigations.Tab({
  selected: handleSelectEvent,
  created: handleCreatedEvent,
  items:  [
    {
      header: { 'text': 'USA' },
      content: '<div id="usa_tab"></div>'
    },
    {
      header: { 'text': 'France' },
      content: '<div id="france_tab"></div>'
    },
    {
      header: { 'text': 'Australia' },
      content: '<div id="australia_tab"></div>'
    }
  ]
});

//Render initialized Tab component
tabObj.appendTo('#element');

function handleCreatedEvent() {
  if (ej.base.isNullOrUndefined(document.querySelector('#usa_tab.e-tab'))) {
    var usa_obj = new ej.navigations.Tab({
      items: [
        {
          header: { 'text': 'New York' },
          content: 'New York City comprises 5 boroughs sitting where the Hudson River meets the Atlantic Ocean. At its core is Manhattan, a densely populated borough that’s among the world’s major commercial, financial and cultural centers. Its iconic sites include skyscrapers such as the Empire State Building and sprawling Central Park. Broadway theater is staged in neon-lit Times Square.'
        },
        {
          header: { 'text': 'Los Angeles' },
          content: 'Los Angeles is a sprawling Southern California city and the center of the nation’s film and television industry. Near its iconic Hollywood sign, studios such as Paramount Pictures, Universal and Warner Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL Chinese Theatre displays celebrities’ hand- and footprints, the Walk of Fame honors thousands of luminaries and vendors sell maps to stars’ homes.'
        },
        {
          header: { 'text': 'Chicago' },
          content: 'Chicago, on Lake Michigan in Illinois, is among the largest cities in the U.S. Famed for its bold architecture, it has a skyline punctuated by skyscrapers such as the iconic John Hancock Center, 1,451-ft. Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune Tower. The city is also renowned for its museums, including the Art Institute of Chicago with its noted Impressionist and Post-Impressionist works.'
        }
      ]
    });
    usa_obj.appendTo('#usa_tab');
  }
}
function handleSelectEvent(e) {
  if (e.selectedIndex === 0 && ej.base.isNullOrUndefined(document.querySelector('#usa_tab.e-tab'))) {
    var usa_obj = new ej.navigations.Tab({
      items: [
        {
          header: { 'text': 'New York' },
          content: 'New York City comprises 5 boroughs sitting where the Hudson River meets the Atlantic Ocean. At its core is Manhattan, a densely populated borough that’s among the world’s major commercial, financial and cultural centers. Its iconic sites include skyscrapers such as the Empire State Building and sprawling Central Park. Broadway theater is staged in neon-lit Times Square.'
        },
        {
          header: { 'text': 'Los Angeles' },
          content: 'Los Angeles is a sprawling Southern California city and the center of the nation’s film and television industry. Near its iconic Hollywood sign, studios such as Paramount Pictures, Universal and Warner Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL Chinese Theatre displays celebrities’ hand- and footprints, the Walk of Fame honors thousands of luminaries and vendors sell maps to stars’ homes.'
        },
        {
          header: { 'text': 'Chicago' },
          content: 'Chicago, on Lake Michigan in Illinois, is among the largest cities in the U.S. Famed for its bold architecture, it has a skyline punctuated by skyscrapers such as the iconic John Hancock Center, 1,451-ft. Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune Tower. The city is also renowned for its museums, including the Art Institute of Chicago with its noted Impressionist and Post-Impressionist works.'
        }
      ]
    });
    usa_obj.appendTo('#usa_tab');
  } else if (e.selectedIndex === 1 && ej.base.isNullOrUndefined(document.querySelector('#france_tab.e-tab'))) {
    var france_obj = new ej.navigations.Tab({
      items: [
        {
          header: { 'text': 'Paris' },
          content: 'Paris, France capital, is a major European city and a global center for art, fashion, gastronomy and culture. Its 19th-century cityscape is crisscrossed by wide boulevards and the River Seine. Beyond such landmarks as the Eiffel Tower and the 12th-century, Gothic Notre-Dame cathedral, the city is known for its cafe culture and designer boutiques along the Rue du Faubourg Saint-Honoré.'
        },
        {
          header: { 'text': 'Marseille' },
          content: 'Marseille, a port city in southern France, has been a crossroads of immigration and trade since its founding by the Greeks circa 600 B.C. At its heart is the Vieux-Port (Old Port), where fishmongers sell their catch along the boat-lined quay. Basilique Notre-Dame-de-la-Garde is a Romanesque-Byzantine church. Modern landmarks include Le Corbusier’s influential Cité Radieuse complex and Zaha Hadid’s CMA CGM Tower.'
        },
        {
          header: { 'text': 'Lyon' },
          content: 'Lyon, the capital city in France’s Auvergne-Rhône-Alpes region, sits at the junction of the Rhône and Saône rivers. Its center reflects 2,000 years of history from the Roman Amphithéâtre des Trois Gaules, medieval and Renaissance architecture in Vieux (Old) Lyon, to the modern Confluence district on Presquîle peninsula. Traboules, covered passageways between buildings, connect Vieux Lyon and La Croix-Rousse hill.'
        }
      ]
    });
    france_obj.appendTo('#france_tab');
  } else if (e.selectedIndex === 2 && ej.base.isNullOrUndefined(document.querySelector('#australia_tab.e-tab'))) {
    var australia_obj = new ej.navigations.Tab({
      items: [
        {
          header: { 'text': 'Sydney' },
          content: 'Sydney, capital of New South Wales and one of Australia largest cities, is best known for its harbourfront Sydney Opera House, with a distinctive sail-like design. Massive Darling Harbour and the smaller Circular Quay port are hubs of waterside life, with the arched Harbour Bridge and esteemed Royal Botanic Garden nearby. Sydney Tower’s outdoor platform, the Skywalk, offers 360-degree views of the city and suburbs.'
        },
        {
          header: { 'text': 'Melbourne' },
          content: 'Melbourne is the coastal capital of the southeastern Australian state of Victoria. At the city centre is the modern Federation Square development, with plazas, bars, and restaurants by the Yarra River. In the Southbank area, the Melbourne Arts Precinct is the site of Arts Centre Melbourne – a performing arts complex – and the National Gallery of Victoria, with Australian and indigenous art.'
        },
        {
          header: { 'text': 'Brisbane' },
          content: 'Brisbane, capital of Queensland, is a large city on the Brisbane River. Clustered in its South Bank cultural precinct are the Queensland Museum and Sciencentre, with noted interactive exhibitions. Another South Bank cultural institution is Queensland Gallery of Modern Art, among Australia major contemporary art museums. Looming over the city is Mt. Coot-tha, site of Brisbane Botanic Gardens.'
        }
      ]
    });
    australia_obj.appendTo('#australia_tab');
  }
}
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Tab</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Tab">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/material.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/31.2.12/dist/ej2.min.js" type="text/javascript"></script>
    <style>
        .e-content .e-item {
            font-size: 12px;
            margin: 10px;
            text-align: justify;
        }
    
        .container {
            min-width: 350px;
            max-width: 500px;
            margin: 0 auto;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
        <br><br>
        <div id="result"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Add nested tabs in Angular Tab component

19 Sep 202524 minutes to read

The Tab component supports rendering nested levels of tabs by utilizing the content property.
You can add nested Tab elements inside the parent Tab’s content property.
To render nested tabs, initialize the component using the tab element’s id from the selected event handler.

<ejs-tab id="element">
    <e-tabitems>
        <e-tabitem>
            <ng-template #headerText>
                <div>
                    USA
                </div>
            </ng-template>
            <ng-template #content>
                <ejs-tab>
                    <e-tabitems>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    New Work
                                </div>
                            </ng-template>
                            <ng-template #content>
                                New York City comprises 5 boroughs sitting where the Hudson River meets the Atlantic
                                Ocean. At its core is Manhattan, a densely populated borough that’s among the world’s
                                major commercial, financial and cultural centers. Its iconic sites include skyscrapers
                                such as the Empire State Building and sprawling Central Park. Broadway theater is staged
                                in neon-lit Times Square.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Los Angeles
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Los Angeles is a sprawling Southern California city and the center of the nation’s film
                                and television industry. Near its iconic Hollywood sign, studios such as Paramount
                                Pictures, Universal and Warner Brothers offer behind-the-scenes tours. On Hollywood
                                Boulevard, TCL Chinese Theatre displays celebrities’ hand- and footprints, the Walk of
                                Fame honors thousands of luminaries and vendors sell maps to stars’ homes.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Chicago
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Chicago, on Lake Michigan in Illinois, is among the largest cities in the U.S. Famed for
                                its bold architecture, it has a skyline punctuated by skyscrapers such as the iconic
                                John Hancock Center, 1,451-ft. Willis Tower (formerly the Sears Tower) and the
                                neo-Gothic Tribune Tower. The city is also renowned for its museums, including the Art
                                Institute of Chicago with its noted Impressionist and Post-Impressionist works.
                            </ng-template>
                        </e-tabitem>
                    </e-tabitems>
                </ejs-tab>
            </ng-template>
        </e-tabitem>
        <e-tabitem>
            <ng-template #headerText>
                <div>
                    FRANCE
                </div>
            </ng-template>
            <ng-template #content>
                <ejs-tab>
                    <e-tabitems>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Paris
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Paris, France capital, is a major European city and a global center for art, fashion,
                                gastronomy and culture. Its 19th-century cityscape is crisscrossed by wide boulevards
                                and the River Seine. Beyond such landmarks as the Eiffel Tower and the 12th-century,
                                Gothic Notre-Dame cathedral, the city is known for its cafe culture and designer
                                boutiques along the Rue du Faubourg Saint-Honoré.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Marseille
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Marseille, a port city in southern France, has been a crossroads of immigration and
                                trade since its founding by the Greeks circa 600 B.C. At its heart is the Vieux-Port
                                (Old Port), where fishmongers sell their catch along the boat-lined quay. Basilique
                                Notre-Dame-de-la-Garde is a Romanesque-Byzantine church. Modern landmarks include Le
                                Corbusier’s influential Cité Radieuse complex and Zaha Hadid’s CMA CGM Tower.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Lyon
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Lyon, the capital city in France’s Auvergne-Rhône-Alpes region, sits at the junction of
                                the Rhône and Saône rivers. Its center reflects 2,000 years of history from the Roman
                                Amphithéâtre des Trois Gaules, medieval and Renaissance architecture in Vieux (Old)
                                Lyon, to the modern Confluence district on Presquîle peninsula. Traboules, covered
                                passageways between buildings, connect Vieux Lyon and La Croix-Rousse hill.
                            </ng-template>
                        </e-tabitem>
                    </e-tabitems>
                </ejs-tab>
            </ng-template>
        </e-tabitem>
        <e-tabitem>
            <ng-template #headerText>
                <div>
                    AUSTRALIA
                </div>
            </ng-template>
            <ng-template #content>
                <ejs-tab>
                    <e-tabitems>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Sydney
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Sydney, capital of New South Wales and one of Australia largest cities, is best known
                                for its harbourfront Sydney Opera House, with a distinctive sail-like design. Massive
                                Darling Harbour and the smaller Circular Quay port are hubs of waterside life, with the
                                arched Harbour Bridge and esteemed Royal Botanic Garden nearby. Sydney Tower’s outdoor
                                platform, the Skywalk, offers 360-degree views of the city and suburbs.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Melbourne
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Melbourne is the coastal capital of the southeastern Australian state of Victoria. At
                                the city centre is the modern Federation Square development, with plazas, bars, and
                                restaurants by the Yarra River. In the Southbank area, the Melbourne Arts Precinct is
                                the site of Arts Centre Melbourne – a performing arts complex – and the National Gallery
                                of Victoria, with Australian and indigenous art.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem>
                            <ng-template #headerText>
                                <div>
                                    Brisbane
                                </div>
                            </ng-template>
                            <ng-template #content>
                                Brisbane, capital of Queensland, is a large city on the Brisbane River. Clustered in its
                                South Bank cultural precinct are the Queensland Museum and Sciencentre, with noted
                                interactive exhibitions. Another South Bank cultural institution is Queensland Gallery
                                of Modern Art, among Australia major contemporary art museums. Looming over the city is
                                Mt. Coot-tha, site of Brisbane Botanic Gardens.
                            </ng-template>
                        </e-tabitem>
                    </e-tabitems>
                </ejs-tab>
            </ng-template>
        </e-tabitem>
    </e-tabitems>
</ejs-tab>
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { TabModule } from '@syncfusion/ej2-angular-navigations'


import { Component } from '@angular/core';
/**
 * Add nested Tabs
 */

@Component({
imports: [
         FormsModule, TabModule
    ],


standalone: true,
    selector: 'app-container',
    templateUrl: './app.component.html',
})
export class AppComponent {
   
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Add nested tabs in React Tab component

30 Jan 202324 minutes to read

Tab supports to render the nested level of Tabs by using content property. You can add the nested Tab element inside the parent Tab content property.

import * as ReactDOM from "react-dom"
import * as React from "react";
import {
  TabComponent,
  TabItemDirective,
  TabItemsDirective
} from "@syncfusion/ej2-react-navigations";

const Default = () => {
  // Mapping Tab items Header property
  let headertext = [
    { text: "USA" },
    { text: "FRANCE" },
    { text: "AUSTRALIA" },
    { text: "NEW YORK" },
    { text: "LOS ANGELES" },
    { text: "CHICAGO" },
    { text: "PARIS" },
    { text: "MARSEILLE" },
    { text: "LYON" },
    { text: "SYDNEY" },
    { text: "MELBORNE" },
    { text: "BRISBANE" }
  ];

  const newYorkContent = () => {
    return (
      <div>
        New York City comprises 5 boroughs sitting where the Hudson River
        meets the Atlantic Ocean. At its core is Manhattan, a densely
        populated borough thats among the worlds major commercial, financial
        and cultural centers. Its iconic sites include skyscrapers such as the
        Empire State Building and sprawling Central Park. Broadway theater is
        staged in neon-lit Times Square.
      </div>
    );
  }
  const losAngelesContent = () => {
    return (
      <div>
        Los Angeles is a sprawling Southern California city and the center of
        the nations film and television industry. Near its iconic Hollywood
        sign, studios such as Paramount Pictures, Universal and Warner
        Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL
        Chinese Theatre displays celebrities hand- and footprints, the Walk
        of Fame honors thousands of luminaries and vendors sell maps to stars
        homes.
      </div>
    );
  }
  const chicagoContent = () => {
    return (
      <div>
        Chicago, on Lake Michigan in Illinois, is among the largest cities in
        the U.S. Famed for its bold architecture, it has a skyline punctuated
        by skyscrapers such as the iconic John Hancock Center, 1,451-ft.
        Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune
        Tower. The city is also renowned for its museums, including the Art
        Institute of Chicago with its noted Impressionist and
        Post-Impressionist works.
      </div>
    );
  }

  const parisContent = () => {
    return (
      <div>
        Paris, France capital, is a major European city and a global center
        for art, fashion, gastronomy and culture. Its 19th-century cityscape
        is crisscrossed by wide boulevards and the River Seine. Beyond such
        landmarks as the Eiffel Tower and the 12th-century, Gothic Notre-Dame
        cathedral, the city is known for its cafe culture and designer
        boutiques along the Rue du Faubourg Saint-Honoré.
      </div>
    );
  }

  const marseilleContent = () => {
    return (
      <div>
        Marseille, a port city in southern France, has been a crossroads of
        immigration and trade since its founding by the Greeks circa 600 B.C.
        At its heart is the Vieux-Port (Old Port), where fishmongers sell
        their catch along the boat-lined quay. Basilique
        Notre-Dame-de-la-Garde is a Romanesque-Byzantine church. Modern
        landmarks include Le Corbusiers influential Cité Radieuse complex and
        Zaha Hadids CMA CGM Tower.
      </div>
    );
  }

  const lyonContent = () => {
    return (
      <div>
        Lyon, the capital city in Frances Auvergne-Rhône-Alpes region, sits
        at the junction of the Rhône and Saône rivers. Its center reflects
        2,000 years of history from the Roman Amphithéâtre des Trois Gaules,
        medieval and Renaissance architecture in Vieux (Old) Lyon, to the
        modern Confluence district on Presquîle peninsula. Traboules, covered
        passageways between buildings, connect Vieux Lyon and La Croix-Rousse
        hill.
      </div>
    );
  }

  const sydneyContent = () => {
    return (
      <div>
        Sydney, capital of New South Wales and one of Australia largest
        cities, is best known for its harbourfront Sydney Opera House, with a
        distinctive sail-like design. Massive Darling Harbour and the smaller
        Circular Quay port are hubs of waterside life, with the arched Harbour
        Bridge and esteemed Royal Botanic Garden nearby. Sydney Towers
        outdoor platform, the Skywalk, offers 360-degree views of the city and
        suburbs.
      </div>
    );
  }

  const melbourneContent = () => {
    return (
      <div>
        Melbourne is the coastal capital of the southeastern Australian state
        of Victoria. At the city centre is the modern Federation Square
        development, with plazas, bars, and restaurants by the Yarra River. In
        the Southbank area, the Melbourne Arts Precinct is the site of Arts
        Centre Melbourne  a performing arts complex  and the National
        Gallery of Victoria, with Australian and indigenous art.
      </div>
    );
  }

  const brisBaneContent = () => {
    return (
      <div>
        Brisbane, capital of Queensland, is a large city on the Brisbane
        River. Clustered in its South Bank cultural precinct are the
        Queensland Museum and Sciencentre, with noted interactive exhibitions.
        Another South Bank cultural institution is Queensland Gallery of
        Modern Art, among Australia major contemporary art museums. Looming
        over the city is Mt. Coot-tha, site of Brisbane Botanic Gardens.
      </div>
    );
  }

  const nestedTab1 = () => {
    return (
      <TabComponent heightAdjustMode="Auto" id="nestedTab1">
        <TabItemsDirective>
          <TabItemDirective header={headertext[3]} content={newYorkContent} />
          <TabItemDirective header={headertext[4]} content={losAngelesContent} />
          <TabItemDirective header={headertext[5]} content={chicagoContent} />
        </TabItemsDirective>
      </TabComponent>
    );
  }

  const nestedTab2 = () => {
    return (
      <TabComponent heightAdjustMode="Auto" id="nestedTab2">
        <TabItemsDirective>
          <TabItemDirective header={headertext[6]} content={parisContent} />
          <TabItemDirective header={headertext[7]} content={marseilleContent} />
          <TabItemDirective header={headertext[8]} content={lyonContent} />
        </TabItemsDirective>
      </TabComponent>
    );
  }

  const nestedTab3 = () => {
    return (
      <TabComponent heightAdjustMode="Auto" id="nestedTab3">
        <TabItemsDirective>
          <TabItemDirective header={headertext[9]} content={sydneyContent} />
          <TabItemDirective header={headertext[10]} content={melbourneContent} />
          <TabItemDirective header={headertext[11]} content={brisBaneContent} />
        </TabItemsDirective>
      </TabComponent>
    );
  }

  return (
    <div className="control-pane">
      <div className="control-section tab-control-section">
        <TabComponent heightAdjustMode="Auto" id="defaultTab">
          <TabItemsDirective>
            <TabItemDirective header={headertext[0]} content={nestedTab1} />
            <TabItemDirective header={headertext[1]} content={nestedTab2} />
            <TabItemDirective header={headertext[2]} content={nestedTab3} />
          </TabItemsDirective>
        </TabComponent>
      </div>
    </div>
  );

}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<Default />);
import * as ReactDOM from "react-dom"
import * as React from "react";
import {
  TabComponent,
  TabItemDirective,
  TabItemsDirective
} from "@syncfusion/ej2-react-navigations";

const Default = () => {
  // Mapping Tab items Header property
  let headertext = [
    { text: "USA" },
    { text: "FRANCE" },
    { text: "AUSTRALIA" },
    { text: "NEW YORK" },
    { text: "LOS ANGELES" },
    { text: "CHICAGO" },
    { text: "PARIS" },
    { text: "MARSEILLE" },
    { text: "LYON" },
    { text: "SYDNEY" },
    { text: "MELBORNE" },
    { text: "BRISBANE" }
  ];

  const newYorkContent = () => {
    return (
      <div>
        New York City comprises 5 boroughs sitting where the Hudson River
        meets the Atlantic Ocean. At its core is Manhattan, a densely
        populated borough thats among the worlds major commercial, financial
        and cultural centers. Its iconic sites include skyscrapers such as the
        Empire State Building and sprawling Central Park. Broadway theater is
        staged in neon-lit Times Square.
      </div>
    );
  }
  const losAngelesContent = () => {
    return (
      <div>
        Los Angeles is a sprawling Southern California city and the center of
        the nations film and television industry. Near its iconic Hollywood
        sign, studios such as Paramount Pictures, Universal and Warner
        Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL
        Chinese Theatre displays celebrities hand- and footprints, the Walk
        of Fame honors thousands of luminaries and vendors sell maps to stars
        homes.
      </div>
    );
  }
  const chicagoContent = () => {
    return (
      <div>
        Chicago, on Lake Michigan in Illinois, is among the largest cities in
        the U.S. Famed for its bold architecture, it has a skyline punctuated
        by skyscrapers such as the iconic John Hancock Center, 1,451-ft.
        Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune
        Tower. The city is also renowned for its museums, including the Art
        Institute of Chicago with its noted Impressionist and
        Post-Impressionist works.
      </div>
    );
  }

  const parisContent = () => {
    return (
      <div>
        Paris, France capital, is a major European city and a global center
        for art, fashion, gastronomy and culture. Its 19th-century cityscape
        is crisscrossed by wide boulevards and the River Seine. Beyond such
        landmarks as the Eiffel Tower and the 12th-century, Gothic Notre-Dame
        cathedral, the city is known for its cafe culture and designer
        boutiques along the Rue du Faubourg Saint-Honoré.
      </div>
    );
  }

  const marseilleContent = () => {
    return (
      <div>
        Marseille, a port city in southern France, has been a crossroads of
        immigration and trade since its founding by the Greeks circa 600 B.C.
        At its heart is the Vieux-Port (Old Port), where fishmongers sell
        their catch along the boat-lined quay. Basilique
        Notre-Dame-de-la-Garde is a Romanesque-Byzantine church. Modern
        landmarks include Le Corbusiers influential Cité Radieuse complex and
        Zaha Hadids CMA CGM Tower.
      </div>
    );
  }

  const lyonContent = () => {
    return (
      <div>
        Lyon, the capital city in Frances Auvergne-Rhône-Alpes region, sits
        at the junction of the Rhône and Saône rivers. Its center reflects
        2,000 years of history from the Roman Amphithéâtre des Trois Gaules,
        medieval and Renaissance architecture in Vieux (Old) Lyon, to the
        modern Confluence district on Presquîle peninsula. Traboules, covered
        passageways between buildings, connect Vieux Lyon and La Croix-Rousse
        hill.
      </div>
    );
  }

  const sydneyContent = () => {
    return (
      <div>
        Sydney, capital of New South Wales and one of Australia largest
        cities, is best known for its harbourfront Sydney Opera House, with a
        distinctive sail-like design. Massive Darling Harbour and the smaller
        Circular Quay port are hubs of waterside life, with the arched Harbour
        Bridge and esteemed Royal Botanic Garden nearby. Sydney Towers
        outdoor platform, the Skywalk, offers 360-degree views of the city and
        suburbs.
      </div>
    );
  }

  const melbourneContent = () => {
    return (
      <div>
        Melbourne is the coastal capital of the southeastern Australian state
        of Victoria. At the city centre is the modern Federation Square
        development, with plazas, bars, and restaurants by the Yarra River. In
        the Southbank area, the Melbourne Arts Precinct is the site of Arts
        Centre Melbourne  a performing arts complex  and the National
        Gallery of Victoria, with Australian and indigenous art.
      </div>
    );
  }

  const brisBaneContent = () => {
    return (
      <div>
        Brisbane, capital of Queensland, is a large city on the Brisbane
        River. Clustered in its South Bank cultural precinct are the
        Queensland Museum and Sciencentre, with noted interactive exhibitions.
        Another South Bank cultural institution is Queensland Gallery of
        Modern Art, among Australia major contemporary art museums. Looming
        over the city is Mt. Coot-tha, site of Brisbane Botanic Gardens.
      </div>
    );
  }

  const nestedTab1 = () => {
    return (
      <TabComponent heightAdjustMode="Auto" id="nestedTab1">
        <TabItemsDirective>
          <TabItemDirective header={headertext[3]} content={newYorkContent} />
          <TabItemDirective header={headertext[4]} content={losAngelesContent} />
          <TabItemDirective header={headertext[5]} content={chicagoContent} />
        </TabItemsDirective>
      </TabComponent>
    );
  }

  const nestedTab2 = () => {
    return (
      <TabComponent heightAdjustMode="Auto" id="nestedTab2">
        <TabItemsDirective>
          <TabItemDirective header={headertext[6]} content={parisContent} />
          <TabItemDirective header={headertext[7]} content={marseilleContent} />
          <TabItemDirective header={headertext[8]} content={lyonContent} />
        </TabItemsDirective>
      </TabComponent>
    );
  }

  const nestedTab3 = () => {
    return (
      <TabComponent heightAdjustMode="Auto" id="nestedTab3">
        <TabItemsDirective>
          <TabItemDirective header={headertext[9]} content={sydneyContent} />
          <TabItemDirective header={headertext[10]} content={melbourneContent} />
          <TabItemDirective header={headertext[11]} content={brisBaneContent} />
        </TabItemsDirective>
      </TabComponent>
    );
  }

  return (
    <div className="control-pane">
      <div className="control-section tab-control-section">
        <TabComponent heightAdjustMode="Auto" id="defaultTab">
          <TabItemsDirective>
            <TabItemDirective header={headertext[0]} content={nestedTab1} />
            <TabItemDirective header={headertext[1]} content={nestedTab2} />
            <TabItemDirective header={headertext[2]} content={nestedTab3} />
          </TabItemsDirective>
        </TabComponent>
      </div>
    </div>
  );

}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<Default />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tab</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='container'>
        <div id='element'>
                <div id='loader'>Loading</div>
        </div>
    </div>
</body>

</html>

Add nested tabs in Vue Tab component

25 May 202421 minutes to read

Tab supports to render the nested level of Tabs by using content property. You can add the nested Tab element inside the parent Tab content
property. To render the nested Tab, initialize the component using the id of Tab from a selected event handler.

<template>
  <div id="app">
    <ejs-tab ref='element' :selected="handleSelectEvent" :created="handleCreatedEvent">
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script setup>

import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from '@syncfusion/ej2-vue-navigations';
import { Tab } from '@syncfusion/ej2-navigations';
import { enableRipple, isNullOrUndefined as isNOU } from '@syncfusion/ej2-base';

enableRipple(true);

const headerText0 = { text: 'USA' };
const headerText1 = { text: 'France' };
const headerText2 = { text: 'Australia' };
const content0 = '<div id="usa_tab"></div>';
const content1 = '<div id="france_tab"></div>';
const content2 = '<div id="australia_tab"></div>';

const handleCreatedEvent = () => {
  if (isNOU(document.querySelector('#usa_tab.e-tab'))) {
    new Tab({
      items: [
        {
          header: { 'text': 'New York' },
          content: 'New York City comprises 5 boroughs sitting where the Hudson River meets the Atlantic Ocean. At its core is Manhattan, a densely populated borough that’s among the world’s major commercial, financial and cultural centers. Its iconic sites include skyscrapers such as the Empire State Building and sprawling Central Park. Broadway theater is staged in neon-lit Times Square.'
        },
        {
          header: { 'text': 'Los Angeles' },
          content: 'Los Angeles is a sprawling Southern California city and the center of the nation’s film and television industry. Near its iconic Hollywood sign, studios such as Paramount Pictures, Universal and Warner Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL Chinese Theatre displays celebrities’ hand- and footprints, the Walk of Fame honors thousands of luminaries and vendors sell maps to stars’ homes.'
        },
        {
          header: { 'text': 'Chicago' },
          content: 'Chicago, on Lake Michigan in Illinois, is among the largest cities in the U.S. Famed for its bold architecture, it has a skyline punctuated by skyscrapers such as the iconic John Hancock Center, 1,451-ft. Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune Tower. The city is also renowned for its museums, including the Art Institute of Chicago with its noted Impressionist and Post-Impressionist works.'
        }
      ]
    }, '#usa_tab');

  }
};
const handleSelectEvent = (e) => {
  if (e.selectedIndex === 0 && isNOU(document.querySelector('#usa_tab.e-tab'))) {
    new Tab({
      items: [
        {
          header: { 'text': 'New York' },
          content: 'New York City comprises 5 boroughs sitting where the Hudson River meets the Atlantic Ocean. At its core is Manhattan, a densely populated borough that’s among the world’s major commercial, financial and cultural centers. Its iconic sites include skyscrapers such as the Empire State Building and sprawling Central Park. Broadway theater is staged in neon-lit Times Square.'
        },
        {
          header: { 'text': 'Los Angeles' },
          content: 'Los Angeles is a sprawling Southern California city and the center of the nation’s film and television industry. Near its iconic Hollywood sign, studios such as Paramount Pictures, Universal and Warner Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL Chinese Theatre displays celebrities’ hand- and footprints, the Walk of Fame honors thousands of luminaries and vendors sell maps to stars’ homes.'
        },
        {
          header: { 'text': 'Chicago' },
          content: 'Chicago, on Lake Michigan in Illinois, is among the largest cities in the U.S. Famed for its bold architecture, it has a skyline punctuated by skyscrapers such as the iconic John Hancock Center, 1,451-ft. Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune Tower. The city is also renowned for its museums, including the Art Institute of Chicago with its noted Impressionist and Post-Impressionist works.'
        }
      ]
    }, '#usa_tab');

  } else if (e.selectedIndex === 1 && isNOU(document.querySelector('#france_tab.e-tab'))) {
    new Tab({
      items: [
        {
          header: { 'text': 'Paris' },
          content: 'Paris, France capital, is a major European city and a global center for art, fashion, gastronomy and culture. Its 19th-century cityscape is crisscrossed by wide boulevards and the River Seine. Beyond such landmarks as the Eiffel Tower and the 12th-century, Gothic Notre-Dame cathedral, the city is known for its cafe culture and designer boutiques along the Rue du Faubourg Saint-Honoré.'
        },
        {
          header: { 'text': 'Marseille' },
          content: 'Marseille, a port city in southern France, has been a crossroads of immigration and trade since its founding by the Greeks circa 600 B.C. At its heart is the Vieux-Port (Old Port), where fishmongers sell their catch along the boat-lined quay. Basilique Notre-Dame-de-la-Garde is a Romanesque-Byzantine church. Modern landmarks include Le Corbusier’s influential Cité Radieuse complex and Zaha Hadid’s CMA CGM Tower.'
        },
        {
          header: { 'text': 'Lyon' },
          content: 'Lyon, the capital city in France’s Auvergne-Rhône-Alpes region, sits at the junction of the Rhône and Saône rivers. Its center reflects 2,000 years of history from the Roman Amphithéâtre des Trois Gaules, medieval and Renaissance architecture in Vieux (Old) Lyon, to the modern Confluence district on Presquîle peninsula. Traboules, covered passageways between buildings, connect Vieux Lyon and La Croix-Rousse hill.'
        }
      ]
    }, '#france_tab');

  } else if (e.selectedIndex === 2 && isNOU(document.querySelector('#australia_tab.e-tab'))) {
    new Tab({
      items: [
        {
          header: { 'text': 'Sydney' },
          content: 'Sydney, capital of New South Wales and one of Australia largest cities, is best known for its harbourfront Sydney Opera House, with a distinctive sail-like design. Massive Darling Harbour and the smaller Circular Quay port are hubs of waterside life, with the arched Harbour Bridge and esteemed Royal Botanic Garden nearby. Sydney Tower’s outdoor platform, the Skywalk, offers 360-degree views of the city and suburbs.'
        },
        {
          header: { 'text': 'Melbourne' },
          content: 'Melbourne is the coastal capital of the southeastern Australian state of Victoria. At the city centre is the modern Federation Square development, with plazas, bars, and restaurants by the Yarra River. In the Southbank area, the Melbourne Arts Precinct is the site of Arts Centre Melbourne – a performing arts complex – and the National Gallery of Victoria, with Australian and indigenous art.'
        },
        {
          header: { 'text': 'Brisbane' },
          content: 'Brisbane, capital of Queensland, is a large city on the Brisbane River. Clustered in its South Bank cultural precinct are the Queensland Museum and Sciencentre, with noted interactive exhibitions. Another South Bank cultural institution is Queensland Gallery of Modern Art, among Australia major contemporary art museums. Looming over the city is Mt. Coot-tha, site of Brisbane Botanic Gardens.'
        }
      ]
    }, '#australia_tab');
  }
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <ejs-tab ref='element' :selected="handleSelectEvent" :created="handleCreatedEvent">
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script>
/* eslint-disable */
import { TabComponent, TabItemsDirective, TabItemDirective } from '@syncfusion/ej2-vue-navigations';
import { Tab } from '@syncfusion/ej2-navigations';
import { enableRipple, isNullOrUndefined as isNOU } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
  name: "App",
  components: {
    "ejs-tab": TabComponent,
    "e-tabitems": TabItemsDirective,
    "e-tabitem": TabItemDirective
  },
  data: function () {
    return {
      headerText0: { text: 'USA' },
      headerText1: { text: 'France' },
      headerText2: { text: 'Australia' },
      content0: '<div id="usa_tab"></div>',
      content1: '<div id="france_tab"></div>',
      content2: '<div id="australia_tab"></div>',
    }

  }, methods: {

    handleCreatedEvent: function () {
      if (isNOU(document.querySelector('#usa_tab.e-tab'))) {
        new Tab({
          items: [
            {
              header: { 'text': 'New York' },
              content: 'New York City comprises 5 boroughs sitting where the Hudson River meets the Atlantic Ocean. At its core is Manhattan, a densely populated borough that’s among the world’s major commercial, financial and cultural centers. Its iconic sites include skyscrapers such as the Empire State Building and sprawling Central Park. Broadway theater is staged in neon-lit Times Square.'
            },
            {
              header: { 'text': 'Los Angeles' },
              content: 'Los Angeles is a sprawling Southern California city and the center of the nation’s film and television industry. Near its iconic Hollywood sign, studios such as Paramount Pictures, Universal and Warner Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL Chinese Theatre displays celebrities’ hand- and footprints, the Walk of Fame honors thousands of luminaries and vendors sell maps to stars’ homes.'
            },
            {
              header: { 'text': 'Chicago' },
              content: 'Chicago, on Lake Michigan in Illinois, is among the largest cities in the U.S. Famed for its bold architecture, it has a skyline punctuated by skyscrapers such as the iconic John Hancock Center, 1,451-ft. Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune Tower. The city is also renowned for its museums, including the Art Institute of Chicago with its noted Impressionist and Post-Impressionist works.'
            }
          ]
        }, '#usa_tab');

      }
    },
    handleSelectEvent: function (e) {
      if (e.selectedIndex === 0 && isNOU(document.querySelector('#usa_tab.e-tab'))) {
        new Tab({
          items: [
            {
              header: { 'text': 'New York' },
              content: 'New York City comprises 5 boroughs sitting where the Hudson River meets the Atlantic Ocean. At its core is Manhattan, a densely populated borough that’s among the world’s major commercial, financial and cultural centers. Its iconic sites include skyscrapers such as the Empire State Building and sprawling Central Park. Broadway theater is staged in neon-lit Times Square.'
            },
            {
              header: { 'text': 'Los Angeles' },
              content: 'Los Angeles is a sprawling Southern California city and the center of the nation’s film and television industry. Near its iconic Hollywood sign, studios such as Paramount Pictures, Universal and Warner Brothers offer behind-the-scenes tours. On Hollywood Boulevard, TCL Chinese Theatre displays celebrities’ hand- and footprints, the Walk of Fame honors thousands of luminaries and vendors sell maps to stars’ homes.'
            },
            {
              header: { 'text': 'Chicago' },
              content: 'Chicago, on Lake Michigan in Illinois, is among the largest cities in the U.S. Famed for its bold architecture, it has a skyline punctuated by skyscrapers such as the iconic John Hancock Center, 1,451-ft. Willis Tower (formerly the Sears Tower) and the neo-Gothic Tribune Tower. The city is also renowned for its museums, including the Art Institute of Chicago with its noted Impressionist and Post-Impressionist works.'
            }
          ]
        }, '#usa_tab');

      } else if (e.selectedIndex === 1 && isNOU(document.querySelector('#france_tab.e-tab'))) {
        new Tab({
          items: [
            {
              header: { 'text': 'Paris' },
              content: 'Paris, France capital, is a major European city and a global center for art, fashion, gastronomy and culture. Its 19th-century cityscape is crisscrossed by wide boulevards and the River Seine. Beyond such landmarks as the Eiffel Tower and the 12th-century, Gothic Notre-Dame cathedral, the city is known for its cafe culture and designer boutiques along the Rue du Faubourg Saint-Honoré.'
            },
            {
              header: { 'text': 'Marseille' },
              content: 'Marseille, a port city in southern France, has been a crossroads of immigration and trade since its founding by the Greeks circa 600 B.C. At its heart is the Vieux-Port (Old Port), where fishmongers sell their catch along the boat-lined quay. Basilique Notre-Dame-de-la-Garde is a Romanesque-Byzantine church. Modern landmarks include Le Corbusier’s influential Cité Radieuse complex and Zaha Hadid’s CMA CGM Tower.'
            },
            {
              header: { 'text': 'Lyon' },
              content: 'Lyon, the capital city in France’s Auvergne-Rhône-Alpes region, sits at the junction of the Rhône and Saône rivers. Its center reflects 2,000 years of history from the Roman Amphithéâtre des Trois Gaules, medieval and Renaissance architecture in Vieux (Old) Lyon, to the modern Confluence district on Presquîle peninsula. Traboules, covered passageways between buildings, connect Vieux Lyon and La Croix-Rousse hill.'
            }
          ]
        }, '#france_tab');

      } else if (e.selectedIndex === 2 && isNOU(document.querySelector('#australia_tab.e-tab'))) {
        new Tab({
          items: [
            {
              header: { 'text': 'Sydney' },
              content: 'Sydney, capital of New South Wales and one of Australia largest cities, is best known for its harbourfront Sydney Opera House, with a distinctive sail-like design. Massive Darling Harbour and the smaller Circular Quay port are hubs of waterside life, with the arched Harbour Bridge and esteemed Royal Botanic Garden nearby. Sydney Tower’s outdoor platform, the Skywalk, offers 360-degree views of the city and suburbs.'
            },
            {
              header: { 'text': 'Melbourne' },
              content: 'Melbourne is the coastal capital of the southeastern Australian state of Victoria. At the city centre is the modern Federation Square development, with plazas, bars, and restaurants by the Yarra River. In the Southbank area, the Melbourne Arts Precinct is the site of Arts Centre Melbourne – a performing arts complex – and the National Gallery of Victoria, with Australian and indigenous art.'
            },
            {
              header: { 'text': 'Brisbane' },
              content: 'Brisbane, capital of Queensland, is a large city on the Brisbane River. Clustered in its South Bank cultural precinct are the Queensland Museum and Sciencentre, with noted interactive exhibitions. Another South Bank cultural institution is Queensland Gallery of Modern Art, among Australia major contemporary art museums. Looming over the city is Mt. Coot-tha, site of Brisbane Botanic Gardens.'
            }
          ]
        }, '#australia_tab');
      }
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>